C
C	DIALCLEAN
C
C	EVOLVED FROM CARSTAPE 
C
C	2/21/86    R. D. PICCARD
C
C
C	7/22/83    R. D. PICCARD
C
C	DESIGNED TO MASSAGE TAPES OF TEXT FILES BROUGHT UP FROM 
C	THE CARS/GA ADMINISTRATIVE COMPUTER.  THEY HAVE THE MOST 
C	SIGNIFICANT BIT SET, WHICH SCREWS UP EDT.
C
C	8/30/83    R. D. PICCARD
C
C	THE RESULTING FILES APPEAR OK TO EDT, BUT WHEN PRINTED OR 
C	TYPED THE FIRST CHARACTER OF THE LINE IS "SWALLOWED"
C
C	USING 'LIST' FOR THE OUTPUT FILE CARRIAGECONTROL IN THE 
C	OPEN STATEMENT DID THE TRICK. 
C
C	ALSO ADDED TRAILING SPACE SUPRESSION. 
C
C
C	2/21/86    R. D. PICCARD
C
C	USE LOGICAL NAMES FOR INPUT AND OUTPUT FILES.
C	ELIMINATE "FORTRAN STOP" MESSAGE.
C
C
C
	BYTE MASK,DATA(128)
C
C
	MASK = "177
C
C
	OPEN(UNIT=12, STATUS='OLD', NAME='DIALCLEAN_IN')
C
	OPEN(UNIT=13, STATUS='NEW', NAME='DIALCLEAN_OUT',
	1 CARRIAGECONTROL='LIST')
C
C
9	READ (12,10,END=1000)DATA
10	FORMAT(128A1)
C
	DO 20 I=1,128
20	DATA(I)=DATA(I).AND.MASK
C
	DO 610 K = 128,1,-1
	KLAST = K
610	IF (DATA(K) .NE. ' ') GO TO 620
C
C
620	WRITE(13,44)(DATA(J),J=1,KLAST)
44	FORMAT(128A1)
C
	GOTO 9
C
1000	CLOSE(UNIT=13, STATUS='KEEP')
C
C		SUPPRESS "FORTRAN STOP" MESSAGE BY NOT USING STOP
C
	END
